## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.14.0
%bcond check 1
%bcond bootstrap 0

%if %{with bootstrap}
%global debug_package %{nil}
%endif

%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# https://github.com/cloudflare/cloudflare-go
%global goipath         github.com/cloudflare/cloudflare-go
Version:                0.100.0

%gometa -L -f

%global common_description %{expand:
A Go library for interacting with Cloudflare's API v4. This library allows you
to:

 - Manage and automate changes to your DNS records within Cloudflare
 - Manage and automate changes to your zones (domains) on Cloudflare, including
   adding new zones to your account
 - List and modify the status of WAF (Web Application Firewall) rules for your
   zones
 - Fetch Cloudflare's IP ranges for automating your firewall whitelisting

A command-line client, flarectl, is also available as part of this project.}

%global golicenses      LICENSE
%global godocs          docs CHANGELOG.md CODE_OF_CONDUCT.md README.md\\\
                        flarectl-README.md

Name:           golang-github-cloudflare
Release:        %autorelease
Summary:        Go library for the Cloudflare v4 API

License:        BSD-3-Clause
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep -A
%autopatch -p1

mv cmd/flarectl/README.md flarectl-README.md

%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

%if %{without bootstrap}
%build
%gobuild -o %{gobuilddir}/bin/flarectl %{goipath}/cmd/flarectl
%endif

%install
%gopkginstall
%if %{without bootstrap}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
%endif

%if %{without bootstrap}
%if %{with check}
%check
for test in "TestOriginCA_OriginCARootCertificate" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%gocheck
%endif
%endif

%if %{without bootstrap}
%files
%license LICENSE
%doc docs CHANGELOG.md CODE_OF_CONDUCT.md README.md
%doc flarectl-README.md
%{_bindir}/flarectl
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Wed Jul 24 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 0.100.0-1
- Update to 0.100.0 - Closes rhbz#2003275

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 0.21.0-10
- Rebuild for golang 1.22.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 0.21.0-4
- Rebuild for CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in
  golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0.21.0-3
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327, CVE-2022-27191,
  CVE-2022-29526, CVE-2022-30629

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Aug 26 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.210-1
- Update to latest upstream release 0.21.0 (closes rhbz#1974334)

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon May 31 18:05:00 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.17.0-1
- Update to 0.17.0
- Close: rhbz#1921567

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jan  7 16:28:33 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.13.7-1
- Update to 0.13.7
- Close: rhbz#1912621

* Fri Jan  1 20:21:11 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.13.6-1
- Update to 0.13.6
- Close: rhbz#1862653

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Feb 12 00:47:07 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.11.1-1
- Update to 0.11.1

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu May 02 17:58:44 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.9.2-1
- Release 0.9.2

* Tue Apr 30 2019 Carl George <carl@george.computer> - 0.9.1-1
- Latest upstream

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Nov 13 2018 Carl George <carl@george.computer> - 0.8.5-1
- Initial package

## END: Generated by rpmautospec
